Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230228 (perl-Crypt-PasswdMD5) - Review Request: perl-Crypt-PasswdMD5 - Provides interoperable MD5-based crypt() functions
Summary: Review Request: perl-Crypt-PasswdMD5 - Provides interoperable MD5-based crypt...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Crypt-PasswdMD5
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-27 16:41 UTC by Mike McGrath
Modified: 2015-02-05 14:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-23 02:04:49 UTC
jeff: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mike McGrath 2007-02-27 16:41:00 UTC
Spec: http://mmcgrath.net/~mmcgrath/perl-Crypt-PasswdMD5/perl-Crypt-PasswdMD5.spec
SRPM: http://mmcgrath.net/~mmcgrath/perl-Crypt-PasswdMD5/perl-Crypt-PasswdMD5-1.3-1fc7.src.rpm
Description: Provides interoperable MD5-based crypt() functions

Comment 1 Jeffrey C. Ollie 2007-02-27 17:06:00 UTC
* source files match upstream (MD5 & SHA1)

368205b1be8c0d4f807afe25d6fbd1ad  Crypt-PasswdMD5-1.3.tar.gz
368205b1be8c0d4f807afe25d6fbd1ad  Crypt-PasswdMD5-1.3.tar.gz.1
887782eb7fd1568ce9514f46156a08c415c26fdf  Crypt-PasswdMD5-1.3.tar.gz
887782eb7fd1568ce9514f46156a08c415c26fdf  Crypt-PasswdMD5-1.3.tar.gz.1

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (fc6 i386, fc7 i386).
* package installs properly. 
* rpmlint says (after applying patch below):

W: perl-Crypt-PasswdMD5 mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 1)

Can be ignored/cleaned up later.

* %check present; Test code runs successfully.
* no shared libraries are present
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers
* no unversioned .so file
* no pkconfig file
* no libtool .la droppings.

I noticed that the README appears to be in ISO-8859-1, but since it's
PGP signed it's not possible to change it to UTF-8.  So, assuming the
following patch is applied, the package is APPROVED.

--- perl-Crypt-PasswdMD5.spec.save      2007-02-27 10:41:07.000000000 -0600
+++ perl-Crypt-PasswdMD5.spec   2007-02-27 10:47:55.000000000 -0600
@@ -17,6 +17,8 @@
 
 %prep
 %setup -q -n Crypt-PasswdMD5-%{version}
+%{_bindir}/iconv -f iso-8859-1 -t utf-8 -o PasswdMD5.pm.new PasswdMD5.pm && mv
PasswdMD5.pm.new PasswdMD5.pm
+%{__sed} -i -e 's/ISO-8859-1/UTF-8/' PasswdMD5.pm
 
 %build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
@@ -43,5 +45,5 @@
 %{_mandir}/man3/*
 
 %changelog
-* Tue Feb 27 2007 Mike McGrath <mmcgrath@redhat.com> - 1.3.1
+* Tue Feb 27 2007 Mike McGrath <mmcgrath@redhat.com> - 1.3-1
 - Initial Packaging


Comment 2 Chris Weyl 2007-04-22 03:00:12 UTC
Ping?

Comment 3 Mike McGrath 2007-04-23 02:04:49 UTC
Sorry, I forgot to close this bug.  Its been imported and available for a while.

Comment 4 Paul Howarth 2014-02-15 15:28:50 UTC
Package Change Request
======================
Package Name: perl-Crypt-PasswdMD5
New Branches: epel7
Owners: pghmcfc
InitialCC: perl-sig

This package is included in RHEL-7 but not for ppc64, resulting in broken dependencies on that architecture for packages needing it (such as perl-Authen-Simple). The package owner in Fedora, psabata, isn't doing any EPEL-7 packages so I'll take this, clone the RHEL-7 SRPM and prefix the release with "0." as per the EPEL guidelines for limited arch packages.

Comment 5 Gwyn Ciesla 2014-02-17 12:55:59 UTC
Git done (by process-git-requests).

Comment 6 Paul Howarth 2015-02-05 09:07:25 UTC
Package Change Request
======================
Package Name: perl-Crypt-PasswdMD5
New Branches: el6
Owners: pghmcfc
InitialCC: perl-sig

This package is included in RHEL-6 but not for ppc64. It is needed for perl-Plack in EPEL-6 (Bug #838679) and has been requested in Bug #783740 since 2012. I'll clone the RHEL-6 SRPM and prefix the release with "0." as per the EPEL guidelines for limited arch packages, and as I already did for EPEL-7.

Comment 7 Gwyn Ciesla 2015-02-05 14:57:55 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.